%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 15

%global python_major python%{py_major}

%global pkgname keyczar 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        0.71rc0 
Release:        2 
Summary:        Toolkit for safe and simple cryptography 
License:        http://www.apache.org/licenses/LICENSE-2.0 
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/k/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-pycrypto > 2.0
Requires:       %{python_major}-pyasn1

%description
Toolkit for safe and simple cryptography

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n python3-%{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}

#renaming the files in bindir to avoid conflict with python-keyczar 
cd ${RPM_BUILD_ROOT}/%{_bindir}
for file in ${RPM_BUILD_ROOT}/%{_bindir}/*; do
mv $file $file-3.9
ln -sf %{_bindir}/$file-3.9 `basename $file -3.9` 
done

%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog LICENSE PKG-INFO README
%doc doc
%{python3_sitearch}/*
%{_bindir}/*3.9*

%files -n %{meta_package}
%defattr(-,root,system,-)
%{_bindir}/*
%exclude %{_bindir}/*3.9*

%changelog
* Thu Dec 29 2022 Aditya Kamath <Aditya.Kamath1@ibm.com> - 0.71rc0-2 
- tink for python3.9
